module.exports = function errorCodes(code, debug = {}, options = {}) {

  const codes = {
    CHANNEL_INVALID: {
      code: 'CHANNEL_INVALID',
      message: 'An invalid channel identifier was provided'
    },
    DOCUMENT_MISSING_FIELDS: {
      code: 'DOCUMENT_MISSING_FIELDS',
      message: 'The revision fields for the document are missing. This is probably a result of a failed revision fetch.'
    },
    DOCUMENT_SLUG_INVALID: {
      code: 'DOCUMENT_SLUG_INVALID',
      message: 'This slug is already in use'
    }
  }

  const o = codes[code] || {
    code: 'UNKNOWN_CODE',
    message: 'Uknown error; this has not been classified',
    providedCode: code
  }

  if(options.status) {
    o.status = options.status
  }

  if(process.env.LOG_LEVEL == 'debug') {
    o.debug = debug
  }

  return o

}
